org.eclipse.net4j.util.ui.views

## Class ContainerView.Default<CONTAINER extends IContainer<?>>

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.ui.part.WorkbenchPart
    - - org.eclipse.ui.part.ViewPart
      - - org.eclipse.net4j.util.ui.views.ContainerView
        - - org.eclipse.net4j.util.ui.views.ContainerView.Default<CONTAINER>

- All Implemented Interfaces:
    IAdaptable, IExecutableExtension, ISelectionProvider, IPersistable, IViewPart, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPart3, ISetSelectionTarget, IWorkbenchPartOrientation
  Enclosing class:
    ContainerView

      public static class ContainerView.Default<CONTAINER extends IContainer<?>>
      extends ContainerView

  Since:
    3.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.ui.views.ContainerView

      `ContainerView.Default<CONTAINER extends IContainer<?>>, ContainerView.MessageType`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

      `PROP_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CONTAINER` | `getContainer()`
    `protected IListener` | `getContainerListener()`
    `void` | `setContainer(CONTAINER container)`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerView

      `addCollapseAllAction, addRefreshAction, addSelectionChangedListener, addSeparator, closeView, collapseAllPressed, contributeToActionBars, createContainerItemProvider, createContentProvider, createdUI, createLabelDecorator, createLabelProvider, createPartControl, createUI, createViewerSorter, doubleClicked, expandElement, fillContextMenu, fillLocalPullDown, fillLocalToolBar, getAdapter, getAddImageDescriptor, getCollapseAllAction, getCollapseAllImageDescriptor, getDeleteImageDescriptor, getDisplay, getElementBackground, getElementFont, getElementForeground, getElementImage, getElementText, getRefreshAction, getRefreshImageDescriptor, getRootElementFilter, getSelection, getShell, getViewer, hookContextMenu, hookDoubleClick, initViewer, refreshElement, refreshPressed, refreshPropertySheetPage, refreshViewer, removeSelectionChangedListener, resetInput, revealElement, selectionChanged, selectReveal, setFocus, setSelection, showMessage, showMessage, updateLabels`

    - ### Methods inherited from class org.eclipse.ui.part.ViewPart

      `checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

    - ### Methods inherited from class org.eclipse.ui.part.WorkbenchPart

      `addPartPropertyListener, addPropertyListener, dispose, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

      `addPropertyListener, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

- - ### Constructor Detail

    - #### Default

          public Default()

  - ### Method Detail

    - #### getContainerListener

          protected IListener getContainerListener()

    - #### getContainer

          protected CONTAINER getContainer()

      Specified by:
        `getContainer` in class `ContainerView`

    - #### setContainer

          public void setContainer(CONTAINER container)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html